In 11.4.1, there was a bug (#928680) in the ZENworks console that would cause the following error to be displayed for encrypted workstations: "Could not find a Handler associated with the following type: Full Disk Encryption Policy".

This bug was also resolved in 11.4.2 and ZENworks 2017.

We upgraded a small portion of our environment 11.4.1 environment to ZENworks 2017, but did not feel like it could be released to the entire environment without the ability to pin bundles to the desktop. So we waited until ZENworks Update 1 was released and have been pushing out the update to the entire environment.

Since we jumped right to ZENworks 2017 Update 1, devices that went from 11.4.1 to ZENworks 2017 Update 1 are still experiencing the issue due to the FDE module not being updated. Devices that were updated to ZENworks 2017, had their FDE agent updated and are not experiencing the issue.

We did not want to decrypt, update the agent, and then re-encrypt all of our existing laptops at this time. We would like to phase out the old encryption policy/agent as we replace them.

I was wondering if there was anything that we could do? The issue was fixed in 11.4.2 and ZENworks 2017, but ZENworks 2017 Update 1 doesn't update the agent if the device is already encrypted.

I was wondering if it was possible to update the laptops to a minimum of ZENworks 2017? Or if ZENworks 2017 Update 1/2 could update the agent without requiring the new FDE policy?